Get managed LUTs for multiple products
curl --request GET \
--url https://api.kamino.finance/luts/managed/batchconst options = {method: 'GET'};
fetch('https://api.kamino.finance/luts/managed/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/luts/managed/batch"
response = requests.get(url)
print(response.text)false[
{
"productIdentifierAddress": "6KhEbVjFg8bNkpTSyEfGJhMGtv2bRQiAKKbKZLPvrBFm",
"lutAddresses": [
"3Kz4sMiBCxg7JdCCjwRTHtFsQRqJCSKh5pVERhPfMzYF"
]
}
]{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Managed LUTs
Get managed LUTs for multiple products
Returns active lookup table addresses for multiple product identifier addresses in a single request.
GET
/
luts
/
managed
/
batch
Get managed LUTs for multiple products
curl --request GET \
--url https://api.kamino.finance/luts/managed/batchconst options = {method: 'GET'};
fetch('https://api.kamino.finance/luts/managed/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/luts/managed/batch"
response = requests.get(url)
print(response.text)false[
{
"productIdentifierAddress": "6KhEbVjFg8bNkpTSyEfGJhMGtv2bRQiAKKbKZLPvrBFm",
"lutAddresses": [
"3Kz4sMiBCxg7JdCCjwRTHtFsQRqJCSKh5pVERhPfMzYF"
]
}
]{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"error": "An internal error occurred"
}Query Parameters
One or more product identifier addresses
Example:
"6KhEbVjFg8bNkpTSyEfGJhMGtv2bRQiAKKbKZLPvrBFm"